std::uses_allocator< typename, typename >(3)

NAME
std::uses_allocator< typename, typename > -

SYNOPSIS

Inherits std::integral_constant< bool, __uses_allocator_helper< _Tp, _Alloc >::value >.

  Public Types
typedef integral_constant
< bool, __v > type"
typedef bool value_type

  Public Member Functions
constexpr operator value_type ()

  Static Public Attributes
static constexpr bool value

Detailed Description

  template<typename, typename>struct std::uses_allocator< typename, typename >
Declare uses_allocator so it can be specialized in <queue> etc. [allocator.uses.trait]

Definition at line 71 of file memoryfwd.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.